Subject: Re: bug#41222: 27.1; Auto-resizing of images in image-mode

From: Alan Third <[email-masked]>
Date: Wed, 20 May 2020 22:18:47 +0200 (CEST)

On Wed, May 20, 2020 at 01:43:00AM +0300, Juri Linkov wrote:
> Actually the problem is in consistency of these two menu items:
> 
> 	["Original Size" image-transform-original
> 	 :help "Reset image to original size"]
> 	["Reset Transformations" image-transform-reset
> 	 :help "Reset all image transformations"]
> 
> image-transform-original resets to the actual/original/normal size.
> image-transform-reset resets to the default size defined by image-auto-resize.
> 
> So they both should be fixed to be mutually consistent.

Hmm, yes, I can't tell which is which just from the menu name or even
the description.

> One possible change is:
> 
>   "Original Size"
>   "Reset to Default Size"
> 
> But when using "Actual Size" instead of "Original Size",
> what would be a good title for the second menu item?

I think "Default Size" size works in either case. I feel that Default
strongly implies it will return to whatever size it would be when I
first load the image, and that also clarifies what the other option
will do.
-- 
Alan Third